<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2007, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title><?php echo WEBSITE_TITLE; ?> - <?php echo PAGE_TITLE; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<link href="<?php echo TEMPLATE_DIR; ?>/images/styles.css" rel="stylesheet" type="text/css" media="screen" />
</head>
<body>

<div id="HEADER">
	<h1><a href="<?php echo WB_URL; ?>"><?php echo WEBSITE_TITLE; ?></a></h1>
	<p><?php page_header(); ?></p>
</div>

<div id="H_NAVIGATION">
	<div id="BUTTONS">
		<a href="<?php echo WB_URL; ?>"><img src="<?php echo TEMPLATE_DIR; ?>/images/btn_home.gif" width="35" height="22" alt="Home" border="0"/></a>
		<a href="#"><img src="<?php echo TEMPLATE_DIR; ?>/images/btn_mail.gif" width="35" height="22" alt="Mail" border="0"/></a> <!-- Edit this -->
		<a href="<?php echo WB_URL; ?>/admin/index.php"><img src="<?php echo TEMPLATE_DIR; ?>/images/btn_login.gif" width="35" height="22" alt="Login" border="0"/></a>
	</div>
	<div id="TABS">
		<?php show_menu2(1, SM2_ROOT, SM2_START); ?>	
	</div>
</div>

<div id="BANNER"></div>	

<div id="WRAPPER">
	<div id="V_NAVIGATION">
		<div class="subtabs">
			<?php show_menu2(1, SM2_ROOT+1, SM2_CURR+1); ?>
		</div>
		<div class="Last">
			<?php ob_start();     // start output buffer
			global $database;
			$query = "SELECT post_id,title,content_short,group_id,link FROM ".TABLE_PREFIX."mod_news_posts ORDER BY position DESC LIMIT 0, 3;";
			$error = mysql_error();
			if (!$result = mysql_query($query)) {
				print "$error";
				exit;
			}
			while($data = mysql_fetch_object($result)){
				$title = $data->title;
				$id = $data->post_id;
				$link = $data->link;
				$short = $data->content_short;
				echo '<p><a href="'.WB_URL.'/pages/'.$link.PAGE_EXTENSION.'">'.$title.'</a><br />'.$short.'</p>';
			}
			$foo=ob_get_contents();    // put outputbuffer in $foo
			ob_end_clean();             // clear outputbuffer
			if ($foo<>"") {  // some code to execute cause there is some block
				echo '<h1>Latest News</h1>';
				echo $foo;
			} else { // some code for no info
				echo '<h1>No New News</h1>';
			}
			?>
		</div>
	</div>
	<div id="CONTENT">
		<?php show_menu2(0, SM2_ROOT, SM2_CURR, SM2_CRUMB, '<span class="[class]"> > [a][menu_title]</a>', '</span></small>', '', '', '<small><b>You are here:</b> <span class="[class]">[a][menu_title]</a>'); ?>
		<br /><br />
		<?php page_content(); ?>
	</div>
</div>

<div id="FOOTER">
	<div id="COPYRIGHT">
		<?php page_footer(); ?>
	</div>
	<div id="LINKS">
		<ul>
			<li><a href="<?php echo WB_URL; ?>">Home</a></li>
			<li><a href="#">Terms of Use</a></li> <!-- Edit this -->
 			<li><a href="#">Privacy Policy</a></li> <!-- Edit this -->
			<li class="Last"><a href="#">Contact Us</a></li> <!-- Edit this --> 
		</ul>		
	</div>
</div>

</body>
</html>